Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.Beta4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.localsearch
Class DefaultLocalSearchSolverPhase

    java.lang.Object
      org.optaplanner.core.impl.phase.AbstractSolverPhase
          org.optaplanner.core.impl.localsearch.DefaultLocalSearchSolverPhase

All Implemented Interfaces:
  EventListener, LocalSearchSolverPhaseLifecycleListener, LocalSearchSolverPhase, SolverPhaseLifecycleListener, SolverPhase, SolverLifecycleListener

    public class DefaultLocalSearchSolverPhase

extends AbstractSolverPhase
implements LocalSearchSolverPhase, LocalSearchSolverPhaseLifecycleListener

Default implementation of `LocalSearchSolverPhase`.

Field Summary
`protected boolean` | `assertExpectedStepScore`
`protected boolean` | `assertStepScoreFromScratch`
`protected Decider` | `decider`

Fields inherited from class org.optaplanner.core.impl.phase.AbstractSolverPhase
`bestSolutionRecaller, logger, phaseIndex, solverPhaseLifecycleSupport, termination`

Constructor Summary
`DefaultLocalSearchSolverPhase()`

Method Summary
`Decider` | `getDecider()`
`void` | `phaseEnded(LocalSearchSolverPhaseScope phaseScope)`
`void` | `phaseStarted(LocalSearchSolverPhaseScope phaseScope)`
`void` | `setAssertExpectedStepScore(boolean assertExpectedStepScore)`
`void` | `setAssertStepScoreFromScratch(boolean assertStepScoreFromScratch)`
`void` | `setDecider(Decider decider)`
`void` | `solve(DefaultSolverScope solverScope)`
`void` | `solvingEnded(DefaultSolverScope solverScope)`
`void` | `solvingStarted(DefaultSolverScope solverScope)`
`void` | `stepEnded(LocalSearchStepScope stepScope)`
`void` | `stepStarted(LocalSearchStepScope stepScope)`

Methods inherited from class org.optaplanner.core.impl.phase.AbstractSolverPhase
`addSolverPhaseLifecycleListener, getPhaseIndex, getTermination, phaseEnded, phaseStarted, removeSolverPhaseLifecycleListener, setBestSolutionRecaller, setPhaseIndex, setTermination, stepEnded, stepStarted`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.optaplanner.core.impl.phase.SolverPhase
`addSolverPhaseLifecycleListener, removeSolverPhaseLifecycleListener`

Methods inherited from interface org.optaplanner.core.impl.phase.event.SolverPhaseLifecycleListener
`phaseEnded, phaseStarted, stepEnded, stepStarted`

Field Detail

### decider

    protected Decider decider

### assertStepScoreFromScratch

    protected boolean assertStepScoreFromScratch

### assertExpectedStepScore

    protected boolean assertExpectedStepScore

Constructor Detail

### DefaultLocalSearchSolverPhase

    public DefaultLocalSearchSolverPhase()

Method Detail

### getDecider

    public Decider getDecider()

### setDecider

    public void setDecider(Decider decider)

### setAssertStepScoreFromScratch

    public void setAssertStepScoreFromScratch(boolean assertStepScoreFromScratch)

### setAssertExpectedStepScore

    public void setAssertExpectedStepScore(boolean assertExpectedStepScore)

### solve

    public void solve(DefaultSolverScope solverScope)

  Specified by:
    `solve` in interface `SolverPhase`

### solvingStarted

    public void solvingStarted(DefaultSolverScope solverScope)

  Specified by:
    `solvingStarted` in interface `SolverLifecycleListener`
  Overrides:
    `solvingStarted` in class `AbstractSolverPhase`

### phaseStarted

    public void phaseStarted(LocalSearchSolverPhaseScope phaseScope)

  Specified by:
    `phaseStarted` in interface `LocalSearchSolverPhaseLifecycleListener`

### stepStarted

    public void stepStarted(LocalSearchStepScope stepScope)

  Specified by:
    `stepStarted` in interface `LocalSearchSolverPhaseLifecycleListener`

### stepEnded

    public void stepEnded(LocalSearchStepScope stepScope)

  Specified by:
    `stepEnded` in interface `LocalSearchSolverPhaseLifecycleListener`

### phaseEnded

    public void phaseEnded(LocalSearchSolverPhaseScope phaseScope)

  Specified by:
    `phaseEnded` in interface `LocalSearchSolverPhaseLifecycleListener`

### solvingEnded

    public void solvingEnded(DefaultSolverScope solverScope)

  Specified by:
    `solvingEnded` in interface `SolverLifecycleListener`
  Overrides:
    `solvingEnded` in class `AbstractSolverPhase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.Beta4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.